com.tibbo.aggregate.common.datatable.converter

## Class ChoicesConverter

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.converter.AbstractFormatConverter<java.lang.Object>
  - - com.tibbo.aggregate.common.datatable.converter.ChoicesConverter

- All Implemented Interfaces:
    FormatConverter<java.lang.Object>

      public class ChoicesConverter
      extends AbstractFormatConverter<java.lang.Object>

- - ### Field Summary

    - ### Fields inherited from class com.tibbo.aggregate.common.datatable.converter.AbstractFormatConverter

      `FIELDS_TO_SKIP, VF_IS_NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChoicesConverter(java.lang.Class valueClass)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Choice c)`
    `void` | `add(java.lang.String description, java.lang.Object object)`
    `void` | `add(java.lang.String name, java.lang.String description, java.lang.Object object)`
    `java.lang.Object` | `convertToBean(java.lang.Object value)`
    `java.lang.Object` | `convertToBean(java.lang.Object value, java.lang.Object originalValue)`
    `java.lang.Object` | `convertToTable(java.lang.Object value, TableFormat format)`
    `FieldFormat` | `createFieldFormat(java.lang.String name)`
    `FieldFormat` | `createFieldFormat(java.lang.String name, java.lang.String description)`
    `FieldFormat` | `createFieldFormat(java.lang.String name, java.lang.String description, java.lang.Object defaultValue)`
    `DataTable` | `createTable(java.lang.Object value, TableFormat format)`
    `void` | `setDefault(Choice defaultChoice)`
    `void` | `setDefault(java.lang.String name)`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.converter.AbstractFormatConverter

      `addFiledToNullableFormat, clone, convertToTable, deriveNullable, getFormat, getValueClass, instantiate, removeFiledFromNullableFormat, setValueClass, simpleToTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChoicesConverter

          public ChoicesConverter(java.lang.Class valueClass)

  - ### Method Detail

    - #### createFieldFormat

          public FieldFormat createFieldFormat(java.lang.String name)

      Specified by:
        `createFieldFormat` in interface `FormatConverter<java.lang.Object>`
      Overrides:
        `createFieldFormat` in class `AbstractFormatConverter<java.lang.Object>`

    - #### createFieldFormat

          public FieldFormat createFieldFormat(java.lang.String name,
                                               java.lang.String description)

    - #### createFieldFormat

          public FieldFormat createFieldFormat(java.lang.String name,
                                               java.lang.String description,
                                               java.lang.Object defaultValue)

    - #### add

          public void add(Choice c)

    - #### add

          public void add(java.lang.String description,
                          java.lang.Object object)

    - #### add

          public void add(java.lang.String name,
                          java.lang.String description,
                          java.lang.Object object)

    - #### setDefault

          public void setDefault(Choice defaultChoice)

    - #### setDefault

          public void setDefault(java.lang.String name)

    - #### convertToBean

          public java.lang.Object convertToBean(java.lang.Object value)

    - #### convertToBean

          public java.lang.Object convertToBean(java.lang.Object value,
                                                java.lang.Object originalValue)

    - #### convertToTable

          public java.lang.Object convertToTable(java.lang.Object value,
                                                 TableFormat format)

    - #### createTable

          public DataTable createTable(java.lang.Object value,
                                       TableFormat format)
                                throws DataTableException

      Throws:
        `DataTableException`